# SourcePath: oprofile/20140307dev
Summary: a system-wide profiler
Name: sony-target-dev-oprofile
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-oprofile
Version: 0.9.6
Release: 08000103
Source0: oprofile-%{version}.tar.gz
Patch0: oprofile-0.9.4-alp-fixups.patch
Patch2: oprofile-0.9.3-fix-mpcore-counter-number-20071210.patch
Patch3: oprofile-0.9.4-fix-mpcore-events-list-20090603.patch
Patch4: oprofile-0.9.3-fix-mpcore-max-counter-number-20080111.patch
Patch5: oprofile-0.9.3-add-armv6-l2evtmon-support-20080122.patch
Patch6: oprofile-0.9.4-fix-armv6-l2evtmon-events-list-20090507.patch
Patch7: oprofile-0.9.6-fix-armv7-character-count-fix-20100421.patch 
Patch8: oprofile-0.9.6-fix-overflow-msg-cleanup.patch
Patch9: oprofile-0.9.6-armv7-common-events-20101214.patch
Patch10: oprofile-0.9.6-armv7-cortexA9-terminology-errors-fix-20101214.patch
Patch11: oprofile-0.9.6-armv7-cortexA9-add-events-20101214.patch
Patch12: oprofile-0.9.6-armv7-cortexA9-add-missing-TLB-event-20110217.patch
Patch13: oprofile-0.9.6-CVE-2011-1760.patch
Patch14: oprofile-0.9.6-CVE-2011-2471.patch
Patch15: oprofile-0.9.6-CVE-2011-2472.patch

License: GPL2
URL:http://oprofile.sourceforge.net
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _defaultdocdir  %{sony_target_dir}%{sony_target_dev_doc_dir}

%description
OProfile  is a profiling system for systems running Linux 2.2, 2.4, and
2.6. Profiling runs transparently in the background  and  profile  data
can  be  collected at any time. OProfile makes use of the hardware per-
formance counters provided on Intel, AMD,  and  other  processors,  and
uses a timer-interrupt based mechanism on CPUs without counters.  OPro-
file can profile the whole system in high detail.

%package -n %{pkgname}
Summary: a system-wide profiler 
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
OProfile  is a profiling system for systems running Linux 2.2, 2.4, and
2.6. Profiling runs transparently in the background  and  profile  data
can  be  collected at any time. OProfile makes use of the hardware per-
formance counters provided on Intel, AMD,  and  other  processors,  and
uses a timer-interrupt based mechanism on CPUs without counters.  OPro-
file can profile the whole system in high detail.

%prep
%setup -n oprofile-%{version}

%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure \
%if "%{sony_target_cpu}" == "arm"
	--enable-abi \
%endif
	 --with-kernel-support
make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_configure \
%if "%{sony_target_cpu}" == "arm"
	--enable-abi \
%endif
	--with-kernel-support

make DESTDIR=%{buildroot}%{sony_target_dir} install
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/doc
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/oprofile`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/oprofile
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/oprofile/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/oprofile
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/oprofile`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../../..%{sony_target_devtool_lib_dir}/oprofile/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/oprofile/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/ophelp
%{sony_target_dir}%{sony_target_dev_bin_dir}/opimport
%{sony_target_dir}%{sony_target_dev_bin_dir}/opannotate
%{sony_target_dir}%{sony_target_dev_bin_dir}/oparchive
%{sony_target_dir}%{sony_target_dev_bin_dir}/opcontrol
%{sony_target_dir}%{sony_target_dev_bin_dir}/opgprof
%{sony_target_dir}%{sony_target_dev_bin_dir}/opreport
%{sony_target_dir}%{sony_target_dev_bin_dir}/oprofiled
%{sony_target_dir}%{sony_target_dev_bin_dir}/opjitconv
%{sony_target_dir}%{sony_target_dev_data_dir}/oprofile/*

%{sony_target_dir}%{sony_target_dev_lib_dir}/oprofile/libopagent.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/oprofile/libopagent.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/oprofile/libopagent.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/oprofile/libopagent.so.1
%{sony_target_dir}%{sony_target_dev_lib_dir}/oprofile/libopagent.so.1.0.0

%{sony_target_dir}%{sony_target_devtool_lib_dir}/oprofile/libopagent.a
%{sony_target_dir}%{sony_target_dev_include_dir}/opagent.h

%changelog
* Fri Mar 07 2014 Sony Corporation
- Added CVE-2011-1760, CVE-2011-2471 and CVE-2011-2472 fix patches

* Mon Mar 28 2011 Sony Corporation
- Refreshed CortexA9 Events support patches

* Thu Feb 17 2011 Sony Corporation
- Added CortexA9 Events Support

* Fri Jul 30 2010 Sony Corporation
- Added overflow msg cleanup patch

* Wed Apr 21 2010 Sony Corporation
- Support for armv7 Architecture.
- Version 0.9.6 integrated for CE-6.0.0.4

* Fri Jul 10 2009 Sony Corporation
- Fix ARM mpcore event list.

* Fri Jun 12 2009 Sony Corporation
- fix opreport -p crash 

* Thu May 07 2009 Sony Corporation
- fix oprofile-0.9.4-fix-armv6-l2evtmon-events-list patch

* Fri Apr 10 2009 Sony Corporation
- update to version 0.9.4

* Tue Mar 04 2008 Sony Corporation
- Version 0.9.3(CE-4.X) integrated for CE-3.X
- added oprofile-0.9.3-mips-vr5500-events.patch

* Fri Feb 01 2008 Sony Corporation
- Modified oprofile for mpcore to support all event registers.
- Modified oprofile for i.MX31 to support L2 cache event registers.

* Wed Aug 29 2007 Sony Corporation
- Integrated CE3.x and CE4.x.

* Fri Jul 27 2007 Sony Corporation
- CE4.X: update to version 0.9.3

* Mon Apr 09 2007 Sony Corporation
- add arm eabi patch

* Fri Mar 16 2007 Sony Corporation
- update to version 0.9.1

* Tue Jun 7 2005 Sony Corporation
- modify %files list
* Fri May 15 2005 Sony Corporation
- Initial build
